Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Public Attributes | List of all members
EntityTear Class Reference
Inheritance diagram for EntityTear:

## Public Member Functions
| SetKnockbackMultiplier (float Multiplier)
| SetWaitFrames (integer Value)
| SetDeadEyeIntensity (float Intensity)
| ChangeVariant (integer NewVariant)
| SetParentOffset (Vector Offset)
| ResetSpriteScale ()
| Resets the tear sprite animation depending on scale. More...
Public Member Functions inherited from Entity
table | GetData ()
| Update ()
| Render (Vector Offset)
boolean | RenderShadowLayer (Vector Offset)
| PostRender ()
boolean | TakeDamage (float Damage, integer Flags, EntityRef Source, integer DamageCountdown)
boolean | HasMortalDamage ()
| Kill ()
| Kills the entity and makes a blood splat or gibs. More...
| Die ()
| Remove ()
| BloodExplode ()
| Explodes with gibs and blood. More...
| AddVelocity (Vector Velocity)
| MultiplyFriction (float Value)
| SetColor (KColor KColor, integer Duration, integer Priority, boolean Fadeout, boolean Share)
const KColor & | GetColor ()
| SetSpriteFrame (string AnimationName, integer FrameNum)
| SetSpriteOverlayFrame (string AnimationName, integer FrameNum)
| SetSize (float Size, Vector SizeMulti, integer NumGridCollisionPoints)
boolean | CollidesWithGrid ()
boolean | IsEnemy ()
| return true for NPCs that are not controlled by the player More...
boolean | IsActiveEnemy (boolean includeDead)
| return true for non background NPCs (ex: every enemy except fire and shopkeepers) More...
boolean | IsVulnerableEnemy ()
| return true for enemies that can be damaged More...
boolean | IsFlying ()
| AddEntityFlags (integer Flags)
| ClearEntityFlags (integer Flags)
integer | GetEntityFlags ()
boolean | HasEntityFlags (integer Flags)
boolean | HasFullHealth ()
| AddHealth (float HitPoints)
| AddPoison (EntityRef Source, integer Duration, float Damage)
| AddFreeze (EntityRef Source, integer Duration)
| AddSlowing (EntityRef Source, integer Duration, float SlowValue, KColor SlowColor)
| Makes the friction higher. More...
| AddCharmed (integer Duration)
| AddConfusion (EntityRef Source, integer Duration, boolean IgnoreBosses)
| AddMidasFreeze (EntityRef Source, integer Duration)
| AddFear (EntityRef Source, integer Duration)
| AddBurn (EntityRef Source, integer Duration, float Damage)
| AddShrink (EntityRef Source, integer Duration)
| RemoveStatusEffects ()
boolean | Exists ()
boolean | IsDead ()
boolean | IsVisible ()
boolean | IsInvincible ()
boolean | CanShutDoors ()
| enemies keep the doors shut More...
boolean | IsBoss ()
| bosses display health bar More...
BossId | GetBossID ()
Entity & | GetLastParent ()
Entity & | GetLastChild ()
boolean | HasCommonParentWithEntity (Entity Other)
boolean | IsFrame (integer Frame, integer Offset)
| true every X frames More...
RNG & | GetDropRNG ()
Sprite & | GetSprite ()
EntityPlayer | ToPlayer ()
EntityEffect | ToEffect ()
EntityNPC | ToNPC ()
EntityPickup | ToPickup ()
EntityFamiliar | ToFamiliar ()
EntityBomb | ToBomb ()
EntityKnife | ToKnife ()
EntityLaser | ToLaser ()
EntityTear | ToTear ()
EntityProjectile | ToProjectile ()

## Public Attributes
float | Height
float | FallingSpeed
float | FallingAcceleration
float | Scale
integer | TearFlags
const integer | TearIndex
float | Rotation
float | HomingFriction
const float | BaseScale
integer | WaitFrames
Vector | ContinueVelocity
const float | BaseDamage
float | KnockbackMultiplier
boolean | Bounced
| true if tear bounced of something More...
Entity & | StickTarget
Vector | StickDiff
integer | StickTimer
boolean | CanTriggerStreakEnd
| For Onan's strak and Dead Eye. More...
const const Vector & | PosDisplacement
Vector | ParentOffset
| Used for Position adjustment (vs PositionOffset which is a render offset) More...
Public Attributes inherited from Entity
float | Friction
| loaded from entity config More...
Vector | Position
Vector | Velocity
const EntityType | Type
integer | Variant
| void SetType(eEntityType Type); More...
integer | SubType
EntityType | SpawnerType
integer | SpawnerVariant
const KColor & | SplatColor
boolean | Visible
const Vector & | PositionOffset
integer | RenderZOffset
boolean | FlipX
const Vector & | SpriteOffset
const Vector & | SpriteScale
float | SpriteRotation
Vector | SizeMulti
float | Mass
float | MaxHitPoints
float | HitPoints
const integer | Index
const Vector & | TargetPosition
GridCollisionClass | GridCollisionClass
EntityCollisionClass | EntityCollisionClass
float | CollisionDamage
const integer | SpawnGridIndex
Entity & | Parent
Entity & | Child
Entity & | Target
Entity & | SpawnerEntity
const integer | FrameCount
const integer | InitSeed
const integer | DropSeed
float | DepthOffset

## Member Function Documentation

## ◆ ChangeVariant()

EntityTear::ChangeVariant | ( | integer | NewVariant | ) |

## ◆ ResetSpriteScale()

EntityTear::ResetSpriteScale | ( |  | ) |

Resets the tear sprite animation depending on scale.

## ◆ SetDeadEyeIntensity()

EntityTear::SetDeadEyeIntensity | ( | float | Intensity | ) |

## ◆ SetKnockbackMultiplier()

EntityTear::SetKnockbackMultiplier | ( | float | Multiplier | ) |

## ◆ SetParentOffset()

EntityTear::SetParentOffset | ( | Vector | Offset | ) |

## ◆ SetWaitFrames()

EntityTear::SetWaitFrames | ( | integer | Value | ) |

## Member Data Documentation

## ◆ BaseDamage

const float EntityTear::BaseDamage

## ◆ BaseScale

const float EntityTear::BaseScale

## ◆ Bounced

boolean EntityTear::Bounced

true if tear bounced of something

## ◆ CanTriggerStreakEnd

boolean EntityTear::CanTriggerStreakEnd

For Onan's strak and Dead Eye.

## ◆ ContinueVelocity

Vector EntityTear::ContinueVelocity

## ◆ FallingAcceleration

float EntityTear::FallingAcceleration

## ◆ FallingSpeed

float EntityTear::FallingSpeed

## ◆ Height

float EntityTear::Height

## ◆ HomingFriction

float EntityTear::HomingFriction

## ◆ KnockbackMultiplier

float EntityTear::KnockbackMultiplier

## ◆ ParentOffset

Vector EntityTear::ParentOffset

Used for Position adjustment (vs PositionOffset which is a render offset)

## ◆ PosDisplacement

const const Vector& EntityTear::PosDisplacement

## ◆ Rotation

float EntityTear::Rotation

## ◆ Scale

float EntityTear::Scale

## ◆ StickDiff

Vector EntityTear::StickDiff

## ◆ StickTarget

Entity& EntityTear::StickTarget

## ◆ StickTimer

integer EntityTear::StickTimer

## ◆ TearFlags

integer EntityTear::TearFlags

## ◆ TearIndex

const integer EntityTear::TearIndex

## ◆ WaitFrames

integer EntityTear::WaitFrames